package com.ama.core.architecture.appBase

import androidx.activity.viewModels
import androidx.viewbinding.ViewBinding
import com.ama.core.architecture.empty.EmptyUiState
import com.ama.core.architecture.empty.EmptyViewModel


abstract class AppViewsEmptyViewModelActivity<Binding : ViewBinding> :
    AppViewsActivity<Binding, EmptyUiState, EmptyViewModel>() {
    override val mViewModel: EmptyViewModel by viewModels()

    override fun Binding.onUiStateCollect(uiState: EmptyUiState) {
    }
}